Check appeasement eligibility by order number - Fabric
Check appeasement eligibility by order number
cURL
curl --request POST \
--url https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/check-appeasement-eligibility \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'
Python
import requests
url = "https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/check-appeasement-eligibility"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.fabric.inc/v3/orders/order-number/{orderNumber}/actions/check-appeasement-eligibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Status Codes
- 200: OK
- 400: Bad Request
- 401: Unauthorized
- 404: Not Found
- 500: Internal Server Error
Example Response
Success:
{
"eligibleItems": [
{
"lineItemId": "6f25bf01-ae4e-4e7f-96b9-0579a40a1a7d",
"quantity": 2,
"refundAmount": 20.5,
"sku": "P1234",
"refundAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
],
"eligibleReasonCodes": [
{
"code": "1DMG",
"description": "Damaged"
}
],
"orderId": "62f3982438bcab1951be0a19",
"orderNumber": "309019176",
"period": "30D00H00M",
"policyType": "Company Policy 2023",
"remainingRefundableAmount": 30.5,
"remainingRefundableAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
],
"totalRefundableAmount": 130.7,
"totalRefundableAmountInCurrencies": [
{
"currency": "USD",
"group": "SHOPPER",
"amount": 123.45
}
]
}
Error:
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
Authorizations
Authorization: Bearer <token>
Headers
- x-fabric-tenant-id: Required
- x-fabric-channel-id: Required
Path Parameters
- orderNumber: Required - Merchant-defined order identifier.
Response
Success returns an object containing the eligibility details for the specified order.